/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "lndatedialog.h"

LnDateDialog::LnDateDialog()
{
        setObjectName(QString::fromUtf8("LnDateDialog"));
        resize(259, 110);
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(10, 10, 181, 21));
        textLabel1->setWordWrap(false);
        yearLabel = new QLabel(this);
        yearLabel->setObjectName(QString::fromUtf8("yearLabel"));
        yearLabel->setGeometry(QRect(10, 40, 41, 21));
        yearLabel->setWordWrap(false);
        yearEdit = new QLineEdit(this);
        yearEdit->setObjectName(QString::fromUtf8("yearEdit"));
        yearEdit->setGeometry(QRect(60, 40, 101, 21));
        cancelButton = new QPushButton(this);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setGeometry(QRect(180, 70, 61, 21));
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(180, 40, 61, 21));
        okButton->setDefault(true);
        tzoneEdit = new QLineEdit(this);
        tzoneEdit->setObjectName(QString::fromUtf8("tzoneEdit"));
        tzoneEdit->setGeometry(QRect(90, 70, 71, 21));
        tzoneLabel = new QLabel(this);
        tzoneLabel->setObjectName(QString::fromUtf8("tzoneLabel"));
        tzoneLabel->setGeometry(QRect(10, 70, 81, 21));
        tzoneLabel->setWordWrap(false);
#ifndef QT_NO_SHORTCUT
        yearLabel->setBuddy(yearEdit);
        tzoneLabel->setBuddy(tzoneEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(yearEdit, tzoneEdit);
        QWidget::setTabOrder(tzoneEdit, okButton);
        QWidget::setTabOrder(okButton, cancelButton);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));

        setWindowTitle(QApplication::translate("LnDateDialog", "Year and Timezone", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("LnDateDialog", "Enter Year and Timezone", 0, QApplication::UnicodeUTF8));
        yearLabel->setText(QApplication::translate("LnDateDialog", "&Year:", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("LnDateDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("LnDateDialog", "Alt+C", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("LnDateDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("LnDateDialog", "Alt+O", 0, QApplication::UnicodeUTF8));
        tzoneLabel->setText(QApplication::translate("LnDateDialog", "&TimeZone:", 0, QApplication::UnicodeUTF8));
};

void LnDateDialog::setParams(int year, double tzone )
 {
  QString s1;
  QString s2;
  s1.setNum(year);
  s2.setNum(tzone);
  yearEdit->setText(s1);
  tzoneEdit->setText(s2);
 }  

int LnDateDialog::getYear()
 {
  QString s1;

  s1=yearEdit->text();

  return (s1.toInt());
 }

double LnDateDialog::getTzone()
 {
  QString s1;

  s1=tzoneEdit->text();

  return (s1.toDouble());     
 }


    
