/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "lndaydialog.h" 
#include "lunamph.h"

WoutData *outdat2 = new WoutData;
WinpData *indat3 = new WinpData;
   
LnDayDialog::LnDayDialog()
{
        setObjectName(QString::fromUtf8("LnDayDialog"));
        resize(591, 397);
        refreshButton = new QPushButton(this);
        refreshButton->setObjectName(QString::fromUtf8("refreshButton"));
        refreshButton->setGeometry(QRect(21, 360, 80, 27));
        closeButton = new QPushButton(this);
        closeButton->setObjectName(QString::fromUtf8("closeButton"));
        closeButton->setGeometry(QRect(499, 360, 70, 27));
        closeButton->setDefault(true);
        detailEdit = new QTextEdit(this);
        detailEdit->setObjectName(QString::fromUtf8("detailEdit"));
        detailEdit->setGeometry(QRect(88, 10, 491, 341));
        detailEdit->setMinimumSize(QSize(350, 290));
        detailEdit->setReadOnly(true);
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(10, 10, 61, 21));
        textLabel1->setWordWrap(false);
        yearEdit = new QLineEdit(this);
        yearEdit->setObjectName(QString::fromUtf8("yearEdit"));
        yearEdit->setGeometry(QRect(10, 40, 68, 21));
        textLabel2 = new QLabel(this);
        textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
        textLabel2->setGeometry(QRect(10, 80, 61, 21));
        textLabel2->setWordWrap(false);
        monthEdit = new QLineEdit(this);
        monthEdit->setObjectName(QString::fromUtf8("monthEdit"));
        monthEdit->setGeometry(QRect(10, 110, 68, 21));
        textLabel3 = new QLabel(this);
        textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
        textLabel3->setGeometry(QRect(10, 160, 61, 21));
        textLabel3->setWordWrap(false);
        dayEdit = new QLineEdit(this);
        dayEdit->setObjectName(QString::fromUtf8("dayEdit"));
        dayEdit->setGeometry(QRect(10, 190, 68, 21));
#ifndef QT_NO_SHORTCUT
        textLabel1->setBuddy(yearEdit);
        textLabel2->setBuddy(monthEdit);
        textLabel3->setBuddy(dayEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(closeButton, yearEdit);
        QWidget::setTabOrder(yearEdit, monthEdit);
        QWidget::setTabOrder(monthEdit, dayEdit);
        QWidget::setTabOrder(dayEdit, refreshButton);
        QWidget::setTabOrder(refreshButton, detailEdit);

        connect(closeButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(refreshButton, SIGNAL(clicked()), this, SLOT(refreshSlot()));

        setWindowTitle(QApplication::translate("LnDayDialog", "Day Details", 0, QApplication::UnicodeUTF8));
        refreshButton->setText(QApplication::translate("LnDayDialog", "&Refresh", 0, QApplication::UnicodeUTF8));
        refreshButton->setShortcut(QApplication::translate("LnDayDialog", "Alt+R", 0, QApplication::UnicodeUTF8));
        closeButton->setText(QApplication::translate("LnDayDialog", "&Close", 0, QApplication::UnicodeUTF8));
        closeButton->setShortcut(QApplication::translate("LnDayDialog", "Alt+C", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("LnDayDialog", "&Year:", 0, QApplication::UnicodeUTF8));
        textLabel2->setText(QApplication::translate("LnDayDialog", "&Month:", 0, QApplication::UnicodeUTF8));
        textLabel3->setText(QApplication::translate("LnDayDialog", "&Day:", 0, QApplication::UnicodeUTF8));
};

void LnDayDialog::refreshSlot()
{
  int yrs, mnt, dy;
  char otxt[255];
  QString s1, s2;
  
  getParams(yrs, mnt, dy);

  indat3->year = yrs;
  indat3->month = mnt;
  indat3->day = dy;
  CompDayDet (indat3, outdat2, otxt, 1);
  s1 = otxt;
  CompDayDet (indat3, outdat2, otxt, 2);
  s2 = otxt;
  s1 += s2;
  detailEdit->setText(s1);
}

void LnDayDialog::setParams( int year, int month, int day, int fz )
{
 QString s1;
 qreal rs;
 rs = fz;

 detailEdit->setFontPointSize(rs); 
 s1.setNum(year);
 yearEdit->setText(s1);
 s1.setNum(month);
 monthEdit->setText(s1);
 s1.setNum(day);
 dayEdit->setText(s1);

 refreshSlot();
}

void LnDayDialog::getParams( int &year, int &month, int &day )
{
 QString s1;

  s1=yearEdit->text();
  year = s1.toInt();
  s1=monthEdit->text();
  month = s1.toInt();
  s1=dayEdit->text();
  day = s1.toInt();
  
  if (month < 1) month = 1;
  if (month > 12) month = 12;
  if(day < 1) day = 1;
  if(day>31) day = 31;
}
