/********************************************************************************
********************************************************************************/

#include <QtGui>
#include "lnmapdialog.h"

LnMapDialog::LnMapDialog()
{
        setObjectName(QString::fromUtf8("LnMapDialog"));
        resize(418, 257);
        buttonGroup1 = new QGroupBox(this);
        buttonGroup1->setObjectName(QString::fromUtf8("buttonGroup1"));
        buttonGroup1->setGeometry(QRect(20, 20, 120, 121));
        g00Button = new QRadioButton(buttonGroup1);
        g00Button->setObjectName(QString::fromUtf8("g00Button"));
        g00Button->setGeometry(QRect(10, 20, 80, 21));
        g10Button = new QRadioButton(buttonGroup1);
        g10Button->setObjectName(QString::fromUtf8("g10Button"));
        g10Button->setGeometry(QRect(10, 50, 96, 21));
        g30Button = new QRadioButton(buttonGroup1);
        g30Button->setObjectName(QString::fromUtf8("g30Button"));
        g30Button->setGeometry(QRect(10, 80, 96, 21));
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(30, 200, 118, 16));
        textLabel1->setWordWrap(false);
        stepBox = new QSpinBox(this);
        stepBox->setObjectName(QString::fromUtf8("stepBox"));
        stepBox->setGeometry(QRect(30, 220, 101, 21));
        stepBox->setMinimumSize(QSize(0, 20));
        stepBox->setMinimum(1);
        stepBox->setMaximum(60);
        stepBox->setSingleStep(5);
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(320, 190, 77, 29));
        okButton->setDefault(true);
        cancelButton = new QPushButton(this);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setGeometry(QRect(320, 220, 77, 29));
        greyBox = new QCheckBox(this);
        greyBox->setObjectName(QString::fromUtf8("greyBox"));
        greyBox->setGeometry(QRect(20, 160, 151, 21));
        groupBox2 = new QGroupBox(this);
        groupBox2->setObjectName(QString::fromUtf8("groupBox2"));
        groupBox2->setGeometry(QRect(160, 20, 251, 161));
        p0Button = new QRadioButton(groupBox2);
        p0Button->setObjectName(QString::fromUtf8("p0Button"));
        p0Button->setGeometry(QRect(10, 20, 211, 21));
        p1Button = new QRadioButton(groupBox2);
        p1Button->setObjectName(QString::fromUtf8("p1Button"));
        p1Button->setGeometry(QRect(10, 50, 211, 21));
        p2Button = new QRadioButton(groupBox2);
        p2Button->setObjectName(QString::fromUtf8("p2Button"));
        p2Button->setGeometry(QRect(10, 80, 211, 21));
        p3Button = new QRadioButton(groupBox2);
        p3Button->setObjectName(QString::fromUtf8("p3Button"));
        p3Button->setGeometry(QRect(10, 110, 211, 21));
        label2 = new QLabel(this);
        label2->setObjectName(QString::fromUtf8("label2"));
        label2->setGeometry(QRect(170, 200, 131, 16));
        meridianEdit = new QLineEdit(this);
        meridianEdit->setObjectName(QString::fromUtf8("meridianEdit"));
        meridianEdit->setEnabled(true);
        meridianEdit->setGeometry(QRect(170, 220, 121, 24));
#ifndef QT_NO_SHORTCUT
        textLabel1->setBuddy(stepBox);
        label2->setBuddy(meridianEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(stepBox, okButton);
        QWidget::setTabOrder(okButton, g00Button);
        QWidget::setTabOrder(g00Button, g10Button);
        QWidget::setTabOrder(g10Button, g30Button);
        QWidget::setTabOrder(g30Button, greyBox);
        QWidget::setTabOrder(greyBox, p0Button);
        QWidget::setTabOrder(p0Button, p1Button);
        QWidget::setTabOrder(p1Button, p2Button);
        QWidget::setTabOrder(p2Button, p3Button);
        QWidget::setTabOrder(p3Button, meridianEdit);
        QWidget::setTabOrder(meridianEdit, cancelButton);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));

        setWindowTitle(QApplication::translate("LnMapDialog", "Eclipse Display Settings", 0, QApplication::UnicodeUTF8));
        buttonGroup1->setTitle(QApplication::translate("LnMapDialog", "Coor&dinates", 0, QApplication::UnicodeUTF8));
        g00Button->setText(QApplication::translate("LnMapDialog", "&no grid", 0, QApplication::UnicodeUTF8));
        g00Button->setShortcut(QApplication::translate("LnMapDialog", "Alt+N", 0, QApplication::UnicodeUTF8));
        g10Button->setText(QApplication::translate("LnMapDialog", "&10\302\260 grid", 0, QApplication::UnicodeUTF8));
        g10Button->setShortcut(QApplication::translate("LnMapDialog", "Alt+1", 0, QApplication::UnicodeUTF8));
        g30Button->setText(QApplication::translate("LnMapDialog", "&30\302\260 grid", 0, QApplication::UnicodeUTF8));
        g30Button->setShortcut(QApplication::translate("LnMapDialog", "Alt+3", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("LnMapDialog", "&Step size in min:", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("LnMapDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("LnMapDialog", "Alt+O", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("LnMapDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("LnMapDialog", "Alt+C", 0, QApplication::UnicodeUTF8));
        greyBox->setText(QApplication::translate("LnMapDialog", "&Grey background", 0, QApplication::UnicodeUTF8));
        greyBox->setShortcut(QApplication::translate("LnMapDialog", "Alt+G", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        groupBox2->setToolTip(QApplication::translate("LnMapDialog", "Select Map Projection", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        groupBox2->setStatusTip(QApplication::translate("LnMapDialog", "selects between different map projections", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
#ifndef QT_NO_WHATSTHIS
        groupBox2->setWhatsThis(QApplication::translate("LnMapDialog", "Maps can be projected as a standard world map, a physical world map, or stereographic projections of the Northern or Southern Hemisphere.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        groupBox2->setTitle(QApplication::translate("LnMapDialog", "&Map Projection", 0, QApplication::UnicodeUTF8));
        p0Button->setText(QApplication::translate("LnMapDialog", "S&imple World Map", 0, QApplication::UnicodeUTF8));
        p1Button->setText(QApplication::translate("LnMapDialog", "&Northern Hemisphere", 0, QApplication::UnicodeUTF8));
        p2Button->setText(QApplication::translate("LnMapDialog", "So&uthern Hemisphere", 0, QApplication::UnicodeUTF8));
        p3Button->setText(QApplication::translate("LnMapDialog", "Ph&ysical World Map", 0, QApplication::UnicodeUTF8));
        label2->setText(QApplication::translate("LnMapDialog", "C&entral Meridian (deg)", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        meridianEdit->setToolTip(QApplication::translate("StMapDialog", "Central meridian of the groundtrack map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        meridianEdit->setWhatsThis(QApplication::translate("StMapDialog", "This is the meridian in the middle of the groundtrack map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_TOOLTIP
        label2->setToolTip(QApplication::translate("StMapDialog", "Central meridian of groundtrack map.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        label2->setWhatsThis(QApplication::translate("StMapDialog", "For the world map this is the meridian which will be in the center of the map. For the stereographic projections this will be the meridian from the center to the upper side. ", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS

};


void LnMapDialog::setParams( int mgrid, int mgrey, int mstep, int mapprj, double centmer )
{
 QString s1;
 s1.setNum(centmer);
 meridianEdit->setText(s1);

 if (mgrid == 0) g00Button->setChecked(true);
 else g00Button->setChecked(false);
 if (mgrid == 1) g30Button->setChecked(true);
 else g30Button->setChecked(false);
 if (mgrid == 2) g10Button->setChecked(true);
 else g10Button->setChecked(false);
 
 if (mgrey == 1) greyBox->setChecked(true);
 else greyBox->setChecked(false);
 
 stepBox->setValue(mstep);  

 if (mapprj == 0) p0Button->setChecked(true);
 else p0Button->setChecked(false);
 if (mapprj == 1) p1Button->setChecked(true);
 else p1Button->setChecked(false);
 if (mapprj == 2) p2Button->setChecked(true);
 else p2Button->setChecked(false);
 if (mapprj == 3) p3Button->setChecked(true);
 else p3Button->setChecked(false);

}


void LnMapDialog::getParams( int &mgrid, int &mgrey, int &mstep, int &mapprj, double &centmer )
{
 QString s1;

 s1=meridianEdit->text();
 centmer=s1.toDouble();     

 mgrid = 0;
 if (g10Button->isChecked()) mgrid = 2;
 if (g30Button->isChecked()) mgrid =1;
 
 if (greyBox->isChecked()) mgrey = 1;
 else mgrey = 0;
 
 mstep = stepBox->value();

 mapprj = 0;
 if (p1Button->isChecked()) mapprj = 1;
 if (p2Button->isChecked()) mapprj = 2;
 if (p3Button->isChecked()) mapprj = 3;

}

