/********************************************************************************
********************************************************************************/

#ifndef LNMAPDIALOG_H
#define LNMAPDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QGroupBox>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpinBox>

//QT_BEGIN_NAMESPACE

class LnMapDialog : public QDialog
{
  Q_OBJECT

public:
  LnMapDialog();

public slots:
    virtual void setParams( int mgrid, int mgrey, int mstep, int mapprj, double centmer );
    virtual void getParams( int & mgrid, int & mgrey, int & mstep, int & mapprj, double & centmer );

private:
    QGroupBox *buttonGroup1;
    QRadioButton *g00Button;
    QRadioButton *g10Button;
    QRadioButton *g30Button;
    QLabel *textLabel1;
    QSpinBox *stepBox;
    QPushButton *okButton;
    QPushButton *cancelButton;
    QCheckBox *greyBox;
    QGroupBox *groupBox2;
    QRadioButton *p0Button;
    QRadioButton *p1Button;
    QRadioButton *p2Button;
    QRadioButton *p3Button;
    QLabel *label2;
    QLineEdit *meridianEdit;

};

#endif // LNMAPDIALOG_H
