/********************************************************************************
********************************************************************************/

#include <QtGui>
#include "lnmoondialog.h"

#include "lunamph.h"
#include "astrolib.h"

WinpData *indat2 = new WinpData;

LnMoonDialog::LnMoonDialog()
{
        setObjectName(QString::fromUtf8("LnMoonDialog"));
        resize(600, 528);
        refreshButton = new QPushButton(this);
        refreshButton->setObjectName(QString::fromUtf8("refreshButton"));
        refreshButton->setGeometry(QRect(20, 480, 90, 29));
        refreshButton->setMinimumSize(QSize(0, 20));
        closeButton = new QPushButton(this);
        closeButton->setObjectName(QString::fromUtf8("closeButton"));
        closeButton->setGeometry(QRect(470, 480, 90, 29));
        closeButton->setMinimumSize(QSize(0, 20));
        closeButton->setDefault(true);
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(11, 21, 78, 18));
        textLabel1->setWordWrap(false);
        yearEdit = new QLineEdit(this);
        yearEdit->setObjectName(QString::fromUtf8("yearEdit"));
        yearEdit->setGeometry(QRect(11, 45, 78, 21));
        yearEdit->setMinimumSize(QSize(0, 20));
        textLabel2 = new QLabel(this);
        textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
        textLabel2->setGeometry(QRect(11, 72, 78, 17));
        textLabel2->setWordWrap(false);
        monthEdit = new QLineEdit(this);
        monthEdit->setObjectName(QString::fromUtf8("monthEdit"));
        monthEdit->setGeometry(QRect(11, 95, 78, 21));
        monthEdit->setMinimumSize(QSize(0, 20));
        textLabel3 = new QLabel(this);
        textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
        textLabel3->setGeometry(QRect(11, 122, 78, 18));
        textLabel3->setWordWrap(false);
        dayEdit = new QLineEdit(this);
        dayEdit->setObjectName(QString::fromUtf8("dayEdit"));
        dayEdit->setGeometry(QRect(11, 146, 78, 21));
        textLabel4 = new QLabel(this);
        textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
        textLabel4->setGeometry(QRect(11, 173, 78, 17));
        textLabel4->setWordWrap(false);
        hourEdit = new QLineEdit(this);
        hourEdit->setObjectName(QString::fromUtf8("hourEdit"));
        hourEdit->setGeometry(QRect(11, 196, 78, 21));
        textLabel5 = new QLabel(this);
        textLabel5->setObjectName(QString::fromUtf8("textLabel5"));
        textLabel5->setGeometry(QRect(11, 223, 78, 18));
        textLabel5->setWordWrap(false);
        minuteEdit = new QLineEdit(this);
        minuteEdit->setObjectName(QString::fromUtf8("minuteEdit"));
        minuteEdit->setGeometry(QRect(11, 247, 78, 21));
        textLabel6 = new QLabel(this);
        textLabel6->setObjectName(QString::fromUtf8("textLabel6"));
        textLabel6->setGeometry(QRect(11, 274, 78, 17));
        textLabel6->setWordWrap(false);
        secondEdit = new QLineEdit(this);
        secondEdit->setObjectName(QString::fromUtf8("secondEdit"));
        secondEdit->setGeometry(QRect(11, 297, 78, 21));
        textLabel7 = new QLabel(this);
        textLabel7->setObjectName(QString::fromUtf8("textLabel7"));
        textLabel7->setGeometry(QRect(11, 324, 78, 18));
        textLabel7->setWordWrap(false);
        tzoneEdit = new QLineEdit(this);
        tzoneEdit->setObjectName(QString::fromUtf8("tzoneEdit"));
        tzoneEdit->setGeometry(QRect(11, 348, 78, 21));
        tzoneEdit->setMinimumSize(QSize(0, 20));
        moonEdit = new QTextEdit(this);
        moonEdit->setObjectName(QString::fromUtf8("moonEdit"));
        moonEdit->setGeometry(QRect(100, 10, 481, 460));
        moonEdit->setMinimumSize(QSize(390, 450));
#ifndef QT_NO_SHORTCUT
        textLabel1->setBuddy(yearEdit);
        textLabel2->setBuddy(monthEdit);
        textLabel3->setBuddy(dayEdit);
        textLabel4->setBuddy(hourEdit);
        textLabel5->setBuddy(minuteEdit);
        textLabel6->setBuddy(secondEdit);
        textLabel7->setBuddy(tzoneEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(closeButton, yearEdit);
        QWidget::setTabOrder(yearEdit, monthEdit);
        QWidget::setTabOrder(monthEdit, dayEdit);
        QWidget::setTabOrder(dayEdit, hourEdit);
        QWidget::setTabOrder(hourEdit, minuteEdit);
        QWidget::setTabOrder(minuteEdit, secondEdit);
        QWidget::setTabOrder(secondEdit, tzoneEdit);
        QWidget::setTabOrder(tzoneEdit, refreshButton);
        QWidget::setTabOrder(refreshButton, moonEdit);

        connect(closeButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(refreshButton, SIGNAL(clicked()), this, SLOT(refreshSlot()));

        setWindowTitle(QApplication::translate("LnMoonDialog", "Sun and Moon Details", 0, QApplication::UnicodeUTF8));
        refreshButton->setText(QApplication::translate("LnMoonDialog", "&Refresh", 0, QApplication::UnicodeUTF8));
        refreshButton->setShortcut(QApplication::translate("LnMoonDialog", "Alt+R", 0, QApplication::UnicodeUTF8));
        closeButton->setText(QApplication::translate("LnMoonDialog", "&Close", 0, QApplication::UnicodeUTF8));
        closeButton->setShortcut(QApplication::translate("LnMoonDialog", "Alt+C", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("LnMoonDialog", "&Year:", 0, QApplication::UnicodeUTF8));
        textLabel2->setText(QApplication::translate("LnMoonDialog", "&Month:", 0, QApplication::UnicodeUTF8));
        textLabel3->setText(QApplication::translate("LnMoonDialog", "&Day:", 0, QApplication::UnicodeUTF8));
        textLabel4->setText(QApplication::translate("LnMoonDialog", "&Hours:", 0, QApplication::UnicodeUTF8));
        textLabel5->setText(QApplication::translate("LnMoonDialog", "M&inutes:", 0, QApplication::UnicodeUTF8));
        textLabel6->setText(QApplication::translate("LnMoonDialog", "&Seconds:", 0, QApplication::UnicodeUTF8));
        textLabel7->setText(QApplication::translate("LnMoonDialog", "&Timezone:", 0, QApplication::UnicodeUTF8));

};

void LnMoonDialog::refreshSlot()
{
  char otxt[350];
  int yrs;
  QString s1, s2;
  
  s1=yearEdit->text();
  yrs = s1.toInt();
  s1=monthEdit->text();
  indat2->month = s1.toInt();
  s1=dayEdit->text();
  indat2->day = s1.toInt();
  if (indat2->month < 1) indat2->month = 1;
  if (indat2->month > 12) indat2->month = 12;
  if(indat2->day < 1) indat2->day = 1;
  if(indat2->day>31) indat2->day = 31;
  
  if (yrs != indat2->year)
    {
      if (indat2->del_auto) indat2->del_tdut = DefTdUt(yrs);
    };
  indat2->year = yrs;
  s1=hourEdit->text();
  indat2->hour = s1.toInt();
  s1=minuteEdit->text();
  indat2->minute = s1.toInt();
  s1=secondEdit->text();
  indat2->second = s1.toInt();
  s1=tzoneEdit->text();
  indat2->tzone = s1.toDouble();

  s1 = " ";
  for (yrs = 1; yrs < 5; yrs++)
    {
      CompSkyDet (indat2, otxt, yrs);
      s2 = otxt;
      s1 += s2;
    };
  
  moonEdit->setText(s1);
}


void LnMoonDialog::setParams(int year, int month, int day, int hour, int minute, int second,
        double tzone, double del_tdut, int del_auto, double geolat, double geolong, double geoheight,
            const char* geoname, int dmsflg, int fz )
{
 QString s;
 int j;
 qreal rs;
 rs = fz;

 moonEdit->setFontPointSize(rs); 
 indat2->day = day;
 indat2->month = month;
 indat2->year = year;
 indat2->hour = hour;
 indat2->minute = minute;
 indat2->second = second;
 indat2->time = 0;
 indat2->tzone = tzone;
 indat2->del_tdut = del_tdut;
 indat2->del_auto = del_auto;
 indat2->tmfirst = 1;
 indat2->geolat = geolat;
 indat2->geolong = geolong;
 indat2->geoheight = geoheight;
 for(j=0; j<31; j++) indat2->geoname[j] = geoname[j];
 indat2->dmsflg = dmsflg;
 indat2->filsflg = 0;

 s.setNum(indat2->year);
 yearEdit->setText(s);
 s.setNum(indat2->month);
 monthEdit->setText(s);
 s.setNum(indat2->day);
 dayEdit->setText(s);
 s.setNum(indat2->hour);
 hourEdit->setText(s);
 s.setNum(indat2->minute);
 minuteEdit->setText(s);
 s.setNum(indat2->second);
 secondEdit->setText(s);
 s.setNum(indat2->tzone);
 tzoneEdit->setText(s);

 refreshSlot();
}

void LnMoonDialog::getParams(int &year, int &month, int &day, int &hour, int &minute, int &second,
        double &tzone, double &del_tdut )
{
 refreshSlot();
 
 day = indat2->day;
 month = indat2->month;
 year = indat2->year;
 hour = indat2->hour;
 minute = indat2->minute;
 second = indat2->second;
 tzone = indat2->tzone;
 del_tdut = indat2->del_tdut;
}

