/********************************************************************************
********************************************************************************/

#ifndef LNMOONDIALOG_H
#define LNMOONDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QTextEdit>
#include <QtGui/QPushButton>

//QT_BEGIN_NAMESPACE

class LnMoonDialog : public QDialog
{
  Q_OBJECT

public:
  LnMoonDialog();

public slots:

    virtual void setParams( int year, int month, int day, int hour, int minute, int second, double tzone, double del_tdut, int del_auto, double geolat, double geolong, double geoheight, const char * geoname, int dmsflg, int fz );
    virtual void getParams( int & year, int & month, int & day, int & hour, int & minute, int & second, double & tzone, double & del_tdut);
    virtual void refreshSlot();

private:
    QPushButton *refreshButton;
    QPushButton *closeButton;
    QLabel *textLabel1;
    QLineEdit *yearEdit;
    QLabel *textLabel2;
    QLineEdit *monthEdit;
    QLabel *textLabel3;
    QLineEdit *dayEdit;
    QLabel *textLabel4;
    QLineEdit *hourEdit;
    QLabel *textLabel5;
    QLineEdit *minuteEdit;
    QLabel *textLabel6;
    QLineEdit *secondEdit;
    QLabel *textLabel7;
    QLineEdit *tzoneEdit;
    QTextEdit *moonEdit;

};

#endif // LNMOONDIALOG_H
