/********************************************************************************
********************************************************************************/

#ifndef LNOBSDIALOG_H
#define LNOBSDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGroupBox>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>

//QT_BEGIN_NAMESPACE

class LnObsDialog : public QDialog
{
  Q_OBJECT

public:
  LnObsDialog();

public slots:
    virtual void setParams( double lat, double lng, double height, char * geoname, bool ddmm );
    virtual void getParams( double & lat, double & lng, double & height,  bool & ddmm );
    virtual QString getGeoname();
    virtual void setDec();
    virtual void setDdmm();

private:
    QPushButton *okButton;
    QLabel *textLabel1;
    QLineEdit *latEdit;
    QLabel *textLabel2;
    QLineEdit *lngEdit;
    QLabel *textLabel3;
    QLineEdit *heightEdit;
    QLabel *textLabel4;
    QLabel *textLabel5;
    QLineEdit *locEdit;
    QGroupBox *ddmmGroup;
    QRadioButton *decButton;
    QRadioButton *ddmmButton;
    QPushButton *cancelButton;

};

#endif // LNOBSDIALOG_H
