/********************************************************************************
********************************************************************************/

#include <QtGui>
#include "lnsatdialog.h"

LnSatDialog::LnSatDialog()
{
        setObjectName(QString::fromUtf8("LnSatDialog"));
        resize(358, 298);
        yearEdit = new QLineEdit(this);
        yearEdit->setObjectName(QString::fromUtf8("yearEdit"));
        yearEdit->setGeometry(QRect(20, 30, 90, 21));
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(20, 10, 90, 20));
        textLabel1->setWordWrap(false);
        monthEdit = new QLineEdit(this);
        monthEdit->setObjectName(QString::fromUtf8("monthEdit"));
        monthEdit->setGeometry(QRect(130, 30, 90, 21));
        textLabel2 = new QLabel(this);
        textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
        textLabel2->setGeometry(QRect(130, 10, 90, 20));
        textLabel2->setWordWrap(false);
        textLabel3 = new QLabel(this);
        textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
        textLabel3->setGeometry(QRect(240, 10, 90, 20));
        textLabel3->setWordWrap(false);
        dayEdit = new QLineEdit(this);
        dayEdit->setObjectName(QString::fromUtf8("dayEdit"));
        dayEdit->setGeometry(QRect(240, 30, 90, 21));
        textLabel4 = new QLabel(this);
        textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
        textLabel4->setGeometry(QRect(20, 70, 90, 20));
        textLabel4->setWordWrap(false);
        hourEdit = new QLineEdit(this);
        hourEdit->setObjectName(QString::fromUtf8("hourEdit"));
        hourEdit->setGeometry(QRect(20, 90, 90, 21));
        textLabel5 = new QLabel(this);
        textLabel5->setObjectName(QString::fromUtf8("textLabel5"));
        textLabel5->setGeometry(QRect(130, 70, 90, 20));
        textLabel5->setWordWrap(false);
        minEdit = new QLineEdit(this);
        minEdit->setObjectName(QString::fromUtf8("minEdit"));
        minEdit->setGeometry(QRect(130, 90, 90, 21));
        textLabel6 = new QLabel(this);
        textLabel6->setObjectName(QString::fromUtf8("textLabel6"));
        textLabel6->setGeometry(QRect(240, 70, 90, 20));
        textLabel6->setWordWrap(false);
        secEdit = new QLineEdit(this);
        secEdit->setObjectName(QString::fromUtf8("secEdit"));
        secEdit->setGeometry(QRect(240, 90, 90, 21));
        textLabel7 = new QLabel(this);
        textLabel7->setObjectName(QString::fromUtf8("textLabel7"));
        textLabel7->setGeometry(QRect(20, 130, 150, 20));
        textLabel7->setWordWrap(false);
        heightEdit = new QLineEdit(this);
        heightEdit->setObjectName(QString::fromUtf8("heightEdit"));
        heightEdit->setGeometry(QRect(20, 210, 140, 21));
        stepEdit = new QLineEdit(this);
        stepEdit->setObjectName(QString::fromUtf8("stepEdit"));
        stepEdit->setGeometry(QRect(20, 150, 110, 21));
        geoidBox = new QCheckBox(this);
        geoidBox->setObjectName(QString::fromUtf8("geoidBox"));
        geoidBox->setGeometry(QRect(20, 250, 150, 21));
        textLabel8 = new QLabel(this);
        textLabel8->setObjectName(QString::fromUtf8("textLabel8"));
        textLabel8->setGeometry(QRect(20, 190, 140, 20));
        textLabel8->setWordWrap(false);
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(240, 200, 90, 29));
        okButton->setDefault(true);
        cancelButton = new QPushButton(this);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setGeometry(QRect(240, 240, 90, 29));
        textLabel9 = new QLabel(this);
        textLabel9->setObjectName(QString::fromUtf8("textLabel9"));
        textLabel9->setGeometry(QRect(190, 130, 140, 20));
        textLabel9->setWordWrap(false);
#ifndef QT_NO_SHORTCUT
        textLabel1->setBuddy(yearEdit);
        textLabel2->setBuddy(monthEdit);
        textLabel3->setBuddy(dayEdit);
        textLabel4->setBuddy(hourEdit);
        textLabel5->setBuddy(minEdit);
        textLabel6->setBuddy(secEdit);
        textLabel7->setBuddy(stepEdit);
        textLabel8->setBuddy(heightEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(yearEdit, monthEdit);
        QWidget::setTabOrder(monthEdit, dayEdit);
        QWidget::setTabOrder(dayEdit, hourEdit);
        QWidget::setTabOrder(hourEdit, minEdit);
        QWidget::setTabOrder(minEdit, secEdit);
        QWidget::setTabOrder(secEdit, stepEdit);
        QWidget::setTabOrder(stepEdit, heightEdit);
        QWidget::setTabOrder(heightEdit, geoidBox);
        QWidget::setTabOrder(geoidBox, okButton);
        QWidget::setTabOrder(okButton, cancelButton);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));

        setWindowTitle(QApplication::translate("LnSatDialog", "Special Eclipse Settings", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("LnSatDialog", "&Year:", 0, QApplication::UnicodeUTF8));
        textLabel2->setText(QApplication::translate("LnSatDialog", "&Month:", 0, QApplication::UnicodeUTF8));
        textLabel3->setText(QApplication::translate("LnSatDialog", "&Day:", 0, QApplication::UnicodeUTF8));
        textLabel4->setText(QApplication::translate("LnSatDialog", "&Hour:", 0, QApplication::UnicodeUTF8));
        textLabel5->setText(QApplication::translate("LnSatDialog", "Mi&nute:", 0, QApplication::UnicodeUTF8));
        textLabel6->setText(QApplication::translate("LnSatDialog", "&Seconds:", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        textLabel7->setToolTip(QApplication::translate("LnSatDialog", "Time Step for the eclipse ", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel7->setWhatsThis(QApplication::translate("LnSatDialog", "Used for manually stepping along the central eclipse track on the map. The step used for plotting the track will always be taken to be 1 minute.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        textLabel7->setText(QApplication::translate("LnSatDialog", "&Time Step (sec):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        geoidBox->setToolTip(QApplication::translate("LnSatDialog", "Take surface as ellipsoid instead of sphere.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        geoidBox->setWhatsThis(QApplication::translate("LnSatDialog", "If marked the surface of the eclipse will be taken as an ellipsoid with the same flattening as the Earth. Otherwise a sphere is taken (which is preferable for satellite orbits).", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        geoidBox->setText(QApplication::translate("LnSatDialog", "Use &Ellipsoid", 0, QApplication::UnicodeUTF8));
        geoidBox->setShortcut(QApplication::translate("LnSatDialog", "Alt+E", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        textLabel8->setToolTip(QApplication::translate("LnSatDialog", "Height above Earth surface.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel8->setWhatsThis(QApplication::translate("LnSatDialog", "Height above equator. This defines the radius of the sphere on which the eclipse is tracked.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        textLabel8->setText(QApplication::translate("LnSatDialog", "Hei&ght (km):", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("LnSatDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("LnSatDialog", "Alt+O", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("LnSatDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("LnSatDialog", "Alt+C", 0, QApplication::UnicodeUTF8));
        textLabel9->setText(QApplication::translate("LnSatDialog", "(Time is in U.T.)", 0, QApplication::UnicodeUTF8));

};

void LnSatDialog::setParams( bool geoid, double height, double tstep, int yy, int mm, int dd, int hh, int mn, int ss )
{
 QString s;

 geoidBox->setChecked(geoid);
 s.setNum(height);
 heightEdit->setText(s);
 s.setNum(tstep);
 stepEdit->setText(s);
 s.setNum(yy);
 yearEdit->setText(s);
 s.setNum(mm);
 monthEdit->setText(s);
 s.setNum(dd);
 dayEdit->setText(s);
 s.setNum(hh);
 hourEdit->setText(s);
 s.setNum(mn);
 minEdit->setText(s);
 s.setNum(ss);
 secEdit->setText(s);
}

void LnSatDialog::getParams( bool &geoid, double &height, double &tstep, int &yy, int &mm, int &dd, int &hh, int &mn, int &ss )
{
 QString s;

  s=yearEdit->text();
  yy = s.toInt();
  s=monthEdit->text();
  mm = s.toInt();
  s=dayEdit->text();
  dd = s.toInt();
  s=hourEdit->text();
  hh = s.toInt();
  s=minEdit->text();
  mn = s.toInt();
  s=secEdit->text();
  ss = s.toInt();
  s=heightEdit->text();
  height = s.toDouble();
  s=stepEdit->text();
  tstep = s.toDouble();
  geoid = geoidBox->isChecked();
}

