/********************************************************************************
********************************************************************************/

#ifndef LNSATDIALOG_H
#define LNSATDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>

//QT_BEGIN_NAMESPACE

class LnSatDialog : public QDialog
{
  Q_OBJECT

public:
  LnSatDialog();

public slots:
    virtual void setParams( bool geoid, double height, double tstep, int yy, int mm, int dd, int hh, int mn, int ss );
    virtual void getParams( bool & geoid, double & height, double & tstep, int & yy, int & mm, int & dd, int & hh, int & mn, int & ss );

private:
    QLineEdit *yearEdit;
    QLabel *textLabel1;
    QLineEdit *monthEdit;
    QLabel *textLabel2;
    QLabel *textLabel3;
    QLineEdit *dayEdit;
    QLabel *textLabel4;
    QLineEdit *hourEdit;
    QLabel *textLabel5;
    QLineEdit *minEdit;
    QLabel *textLabel6;
    QLineEdit *secEdit;
    QLabel *textLabel7;
    QLineEdit *heightEdit;
    QLineEdit *stepEdit;
    QCheckBox *geoidBox;
    QLabel *textLabel8;
    QPushButton *okButton;
    QPushButton *cancelButton;
    QLabel *textLabel9;

};

#endif // LNSATDIALOG_H
