/********************************************************************************
********************************************************************************/

#include <QtGui>
#include "lnsolardialog.h"

LnSolarDialog::LnSolarDialog()
{
        setObjectName(QString::fromUtf8("LnSolarDialog"));
        resize(300, 200);
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(200, 70, 77, 29));
        okButton->setDefault(true);
        cancelButton = new QPushButton(this);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setGeometry(QRect(200, 100, 77, 29));
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(20, 10, 118, 16));
        textLabel1->setWordWrap(false);
        textLabel2 = new QLabel(this);
        textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
        textLabel2->setGeometry(QRect(160, 10, 131, 16));
        textLabel2->setWordWrap(false);
        textLabel3 = new QLabel(this);
        textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
        textLabel3->setGeometry(QRect(20, 70, 131, 16));
        textLabel3->setWordWrap(false);
        textLabel4 = new QLabel(this);
        textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
        textLabel4->setGeometry(QRect(20, 140, 131, 16));
        textLabel4->setWordWrap(false);
        textLabel5 = new QLabel(this);
        textLabel5->setObjectName(QString::fromUtf8("textLabel5"));
        textLabel5->setGeometry(QRect(160, 140, 131, 16));
        textLabel5->setWordWrap(false);
        azimuthEdit = new QLineEdit(this);
        azimuthEdit->setObjectName(QString::fromUtf8("azimuthEdit"));
        azimuthEdit->setEnabled(true);
        azimuthEdit->setGeometry(QRect(20, 30, 121, 24));
        elevationEdit = new QLineEdit(this);
        elevationEdit->setObjectName(QString::fromUtf8("elevationEdit"));
        elevationEdit->setEnabled(true);
        elevationEdit->setGeometry(QRect(160, 30, 121, 24));
        efficiencyEdit = new QLineEdit(this);
        efficiencyEdit->setObjectName(QString::fromUtf8("efficiencyEdit"));
        efficiencyEdit->setEnabled(true);
        efficiencyEdit->setGeometry(QRect(20, 90, 121, 24));
        month1Edit = new QLineEdit(this);
        month1Edit->setObjectName(QString::fromUtf8("month1Edit"));
        month1Edit->setEnabled(true);
        month1Edit->setGeometry(QRect(20, 160, 50, 24));
        month2Edit = new QLineEdit(this);
        month2Edit->setObjectName(QString::fromUtf8("month2Edit"));
        month2Edit->setEnabled(true);
        month2Edit->setGeometry(QRect(160, 160, 50, 24));

#ifndef QT_NO_SHORTCUT
        textLabel1->setBuddy(azimuthEdit);
        textLabel2->setBuddy(elevationEdit);
        textLabel3->setBuddy(efficiencyEdit);
        textLabel4->setBuddy(month1Edit);
        textLabel5->setBuddy(month2Edit);
#endif // QT_NO_SHORTCUT

        QWidget::setTabOrder(azimuthEdit, elevationEdit);
        QWidget::setTabOrder(elevationEdit, efficiencyEdit);
        QWidget::setTabOrder(efficiencyEdit, month1Edit);
        QWidget::setTabOrder(month1Edit, month2Edit);
        QWidget::setTabOrder(month2Edit, okButton);
        QWidget::setTabOrder(okButton, cancelButton);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));

        setWindowTitle(QApplication::translate("LnSolarDialog", "Solar Panel Settings", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("LnSolarDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("LnSolarDialog", "Alt+O", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("LnSolarDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("LnSolarDialog", "Alt+C", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("LnSolarDialog", "&Azimuth (deg):", 0, QApplication::UnicodeUTF8));
        textLabel2->setText(QApplication::translate("LnSolarDialog", "&Elevation (deg):", 0, QApplication::UnicodeUTF8));
        textLabel3->setText(QApplication::translate("LnSolarDialog", "E&fficiency in %:", 0, QApplication::UnicodeUTF8));
        textLabel4->setText(QApplication::translate("LnSolarDialog", "Month&1 (Start):", 0, QApplication::UnicodeUTF8));
        textLabel5->setText(QApplication::translate("LnSolarDialog", "Month&2 (Stop):", 0, QApplication::UnicodeUTF8));

#ifndef QT_NO_TOOLTIP
        azimuthEdit->setToolTip(QApplication::translate("LnSolarDialog", "Azimuth of solar panel", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        azimuthEdit->setWhatsThis(QApplication::translate("LnSolarDialog", "This is the fixed azimuth of the solar panel.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_TOOLTIP
        elevationEdit->setToolTip(QApplication::translate("LnSolarDialog", "Elevation of solar panel", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        elevationEdit->setWhatsThis(QApplication::translate("LnSolarDialog", "This is the fixed elevation of the solar panel.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_TOOLTIP
        efficiencyEdit->setToolTip(QApplication::translate("LnSolarDialog", "Efficiency of solar panel", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        efficiencyEdit->setWhatsThis(QApplication::translate("LnSolarDialog", "Percent of sunlight which is converted into electricity by the solar panel.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS

#ifndef QT_NO_TOOLTIP
        textLabel1->setToolTip(QApplication::translate("LnSolarDialog", "Azimuth of solar panel", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel1->setWhatsThis(QApplication::translate("LnSolarDialog", "This is the fixed azimuth of the solar panel.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_TOOLTIP
        textLabel2->setToolTip(QApplication::translate("LnSolarDialog", "Elevation of solar panel", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel2->setWhatsThis(QApplication::translate("LnSolarDialog", "This is the fixed elevation of the solar panel.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_TOOLTIP
        textLabel3->setToolTip(QApplication::translate("LnSolarDialog", "Efficiency of solar panel", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel3->setWhatsThis(QApplication::translate("LnSolarDialog", "Percent of sunlight which is converted into electricity by the solar panel.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS

#ifndef QT_NO_TOOLTIP
        textLabel4->setToolTip(QApplication::translate("LnSolarDialog", "Start Month", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel4->setWhatsThis(QApplication::translate("LnSolarDialog", "Beginning month of the interval within the year which is being considered.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_TOOLTIP
        textLabel5->setToolTip(QApplication::translate("LnSolarDialog", "End Month", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel5->setWhatsThis(QApplication::translate("LnSolarDialog", "Month ending the interval within the year which is being considered.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS

};

void LnSolarDialog::setParams( double spaz, double spel, double speff, int spm1, int spm2 )
{
 QString s1;
 s1.setNum(spaz);
 azimuthEdit->setText(s1);
 s1.setNum(spel);
 elevationEdit->setText(s1);
 s1.setNum(speff);
 efficiencyEdit->setText(s1);
 s1.setNum(spm1);
 month1Edit->setText(s1);
 s1.setNum(spm2);
 month2Edit->setText(s1);
}

void LnSolarDialog::getParams( double & spaz, double & spel, double & speff, int & spm1, int & spm2 )
{
 QString s1;

 s1=azimuthEdit->text();
 spaz=s1.toDouble();     
 s1=elevationEdit->text();
 spel=s1.toDouble();     
 s1=efficiencyEdit->text();
 speff=s1.toDouble();     
 s1=month1Edit->text();
 spm1=s1.toInt();     
 s1=month2Edit->text();
 spm2=s1.toInt();     
}

