/********************************************************************************
********************************************************************************/

#include <QtGui>
#include "lnttutdialog.h"

double dfdelut;

LnTtutDialog::LnTtutDialog()
{
        setObjectName(QString::fromUtf8("LnTtutDialog"));
        resize(268, 112);
        checkBox1 = new QCheckBox(this);
        checkBox1->setObjectName(QString::fromUtf8("checkBox1"));
        checkBox1->setGeometry(QRect(10, 60, 131, 21));
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(10, 10, 111, 16));
        textLabel1->setWordWrap(false);
        delTtutEdit1 = new QLineEdit(this);
        delTtutEdit1->setObjectName(QString::fromUtf8("delTtutEdit1"));
        delTtutEdit1->setGeometry(QRect(10, 30, 101, 21));
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(160, 10, 71, 29));
        okButton->setDefault(true);
        cancelButton = new QPushButton(this);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setGeometry(QRect(160, 50, 71, 29));
#ifndef QT_NO_SHORTCUT
        textLabel1->setBuddy(delTtutEdit1);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(delTtutEdit1, checkBox1);
        QWidget::setTabOrder(checkBox1, okButton);
        QWidget::setTabOrder(okButton, cancelButton);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
        connect(checkBox1, SIGNAL(toggled(bool)), this, SLOT(setDelut()));

        setWindowTitle(QApplication::translate("LnTtutDialog", "Terrestial Time - Universal Time", 0, QApplication::UnicodeUTF8));
        checkBox1->setText(QApplication::translate("LnTtutDialog", "&Use Default", 0, QApplication::UnicodeUTF8));
        checkBox1->setShortcut(QApplication::translate("LnTtutDialog", "Alt+U", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("LnTtutDialog", "&TT - UT in sec:", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("LnTtutDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("LnTtutDialog", "Alt+O", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("LnTtutDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("LnTtutDialog", "Alt+C", 0, QApplication::UnicodeUTF8));

};

void LnTtutDialog::setDelut()
{
 QString s1;
 
 if(checkBox1->isChecked())
   {
    s1.setNum(dfdelut); 
    delTtutEdit1->setText(s1);
    delTtutEdit1->setEnabled(false);
   }
 else delTtutEdit1->setEnabled(true);
}


void LnTtutDialog::setParams( double delut, double autout, bool delauto )
{
 QString s1;
 
 s1.setNum(delut);
 dfdelut = autout;
 checkBox1->setChecked(delauto);  
 
 delTtutEdit1->setText(s1);
 if (delauto) delTtutEdit1->setEnabled(false);
}


double LnTtutDialog::getDelut()
{
 QString s1;

  s1=delTtutEdit1->text();
  return (s1.toDouble());
}


bool LnTtutDialog::getDelauto()
{
 return(checkBox1->isChecked());

}

